Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`spread`.`pb`.`_PortalWrapper``

class documentation

`class _PortalWrapper(Referenceable, _JellyableAvatarMixin): (source)`

Constructor: `_PortalWrapper(portal, broker)`

View In Hierarchy

Root Referenceable object, used to login to portal.

Method | `__init__` | Undocumented
Method | `remote_login` | Start of username/password login.
Method | `remote_loginAnonymous` | Attempt an anonymous login.
Instance Variable | `broker` | Undocumented
Instance Variable | `portal` | Undocumented

Inherited from `Referenceable`:

Method | `jellyFor` | (internal)
Method | `remoteMessageReceived` | A remote message has been received. Dispatch it appropriately.
Class Variable | `perspective` | I am an object sent remotely as a direct reference.

Inherited from `Serializable` (via `Referenceable`):

Method | `processUniqueID` | Return an ID which uniquely represents this object for this process.

Inherited from `Jellyable` (via `Referenceable`, `Serializable`):

Method | `getStateFor` | Undocumented

Inherited from `_JellyableAvatarMixin` (via `Referenceable`, `Serializable`, `Jellyable`):

Method | `_cbLogin` | Ensure that the avatar to be returned to the client is jellyable and set up disconnection notification to call the realm's logout object.

def __init__(self, portal, broker): (source)

Undocumented

def remote_login(self, username): (source)

Start of username/password login.

Parameters
username | The username.

def remote_loginAnonymous(self, mind): (source)

Attempt an anonymous login.

Parameters
mind | An object to use as the mind parameter to the portal login call (possibly None).
Returns
`Deferred` | A Deferred which will be called back with an avatar when login succeeds or which will be errbacked if login fails somehow.

broker = (source)

Undocumented

portal = (source)

Undocumented